Last modified: 2014-08-26 19:50:22 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 58105 - Deprecate and (in the future) remove all old ways of getting different action tokens
Deprecate and (in the future) remove all old ways of getting different action...
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
API (Other open bugs)
1.23.0
All All
: Low minor (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on: 27757
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2013-12-06 18:25 UTC by Bartosz Dziewoński
Modified: 2014-08-26 19:50 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Bartosz Dziewoński 2013-12-06 18:25:25 UTC
Let's deprecate and (in the future) remove all old ways of getting different action tokens which are now superseded by the action=tokens API
([[mw:API:Tokens]]).

We could probably deprecate it in 1.23 (adding a warning to API calls using them).

We should probably remove them some time after the 1.19 LTS release stops being supported (it is the last version without the new API). 1.24 or 1.25, I guess.

At some point we should also remove the examples in the documentation using the old style (e.g. [[mw:API:Edit#Token]] and same for every other token) and replace them with new-style ones.
Comment 1 Brad Jorsch 2013-12-06 19:37:20 UTC
It is sometimes suggested, on the other hand, that we shouldn't remove things just to remove them or to "clean up" an interface. As long as it isn't an undue burden to keep the old way around, is there really a need to get rid of it?

That's not to say that the existing token handling in the API couldn't use cleaning up even if the public interface doesn't change. See bug 45199 for more comments on that.
Comment 2 Bartosz Dziewoński 2013-12-06 20:10:01 UTC
You're an API guy, if you think it's okay, then I say it's okay too.

If we want to keep the handling, then this bug is just about making the documentation use the new way once we stop supporting 1.19.
Comment 3 Brad Jorsch 2013-12-09 15:50:34 UTC
I should clarify: I haven't really seen opposition to documenting something as deprecated in favor of the new solution, as long as that doesn't mean someone is going to come around and remove it at some point just because it's been deprecated.
Comment 4 Bartosz Dziewoński 2014-04-17 19:54:14 UTC
(Whatever we do about this, it probably won't be in 1.23 after all; removing milestone.)
Comment 5 Kunal Mehta (Legoktm) 2014-08-26 19:50:22 UTC
In I2793a3f2dd64a4bebb0b4d065e09af1e9f63fb89, action=tokens was deprecated in favor of action=query&meta=tokens, and everything else was also marked as deprecated.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links